      SUBROUTINE gradiv2(klevel, xcont, ycont, ld, gdx, gdy )
c
c  P. Le Van
c
c   **********************************************************
c
c                                ld
c       calcul  de  (grad (div) )   du vect. v ....
c
c     xcont et ycont etant les composant.contravariantes de v
c   **********************************************************
c     xcont , ycont et ld  sont des arguments  d'entree pour le s-prog
c      gdx   et  gdy       sont des arguments de sortie pour le s-prog
c
c
      IMPLICIT NONE
c
#include "dimensions.h"
#include "comdissipn.h"
#include "paramet.h"

      INTEGER klevel
      REAL  xcont( ip1jmp1,klevel ), ycont( ip1jm,klevel )
      REAL    gdx( ip1jmp1,klevel ),   gdy( ip1jm,klevel )
      REAL div(ip1jmp1,llm)
      REAL signe, nugrads

      INTEGER l,ij,iter,ld
c
      EXTERNAL   SCOPY,diverg,divergst,grad
      EXTERNAL   filtreg
c
      CALL SCOPY( ip1jmp1*klevel,xcont,1,gdx,1 )
      CALL SCOPY(  ip1jm*klevel,ycont,1,gdy,1 )
c
c
      signe   = (-1.)**ld
      nugrads = signe * cdivu
c
      CALL  diverg(klevel,gdx , gdy, div )
      CALL filtreg( div, jjp1, klevel, 2,1, .true.,1)
c
      DO 2 iter = 1, ld -1
      CALL     grad (klevel,div, gdx, gdy )
      CALL  divergst(klevel,gdx, gdy, div )
   2  CONTINUE
c
      CALL filtreg( div, jjp1, klevel, 2,1, .true.,1)
      CALL   grad (klevel,div,  gdx, gdy )
c
c
      DO 5  l = 1, klevel
      DO 3 ij = 1, ip1jmp1
      gdx( ij,l ) = gdx( ij,l ) * nugrads
   3  CONTINUE
      DO 4 ij = 1, ip1jm
      gdy( ij,l ) = gdy( ij,l ) * nugrads
   4  CONTINUE
   5  CONTINUE
c
  10  CONTINUE
      RETURN
      END
