      SUBROUTINE iniav(kunit,pday0,pfrac0,pperiod,phis)
      IMPLICIT NONE

c=======================================================================
c
c   pday0    jour de reference pour le stockage
c   pfrac0   decalage du debut du stockage par rapport a pday0 (en jour)
c   pperiod  period de stockage en secondes
c   phis     geopotentiel au sol
c   
c   initialisation de l'ecriture des moyennes temporelles.
c
c=======================================================================

#include "dimensions.h"
#include "paramet.h"
#include "comav.h"

      REAL pperiod

      INTEGER*4 pday0
      REAL pfrac0
      INTEGER kunit
      REAL phis(ip1jmp1)

      period_av=pperiod
      time0_av=pfrac0
      unitav=kunit

c     OPEN(unitav,file='histmoy',form='unformatted',status='new')

      CALL iniwrite(unitav,.true.,pday0,phis)

      PRINT*,'le fichier hist.moy stoke les variables toutes'
      PRINT*,'les ',period_av,'s'
      PRINT*,'A partir du jour de reference day0'
      RETURN
      END
