c
c  statto:
c	This include file controls the production of statistics.
c	Some variables could be set in a namelist, but it is easier to
c	do it here since arrays can then be dimensioned using parameters
c	and values shouldn't have to change too often.   SRL
c
c	Calculate stats every istats physics timesteps, starting at first
c	call.  If istats=0 then don't do statistics at all.  Check value
c	if number of physics timesteps changes.
	integer istats
c
c	Calculate itime independent sums and sums of squares,
c	example, istat=1,istime=1 gives a single time mean
	integer istime
	parameter (istime = 12)
c
c	Number of 2D and 3D variables on which to do statistics.
	integer n2dvar, n3dvar
	parameter (n2dvar = 4, n3dvar = 5)
c
c	Number of levels of data per complete store.
	integer nltime
c._.	parameter (nltime = 2*(n2dvar + n3dvar*NL))
	parameter (nltime = 2*(n2dvar + n3dvar*nlayermx))
c
c	Units for writing stats header and data
	integer ushead, usdata
	parameter (ushead = 70, usdata = 71)
c
c       nombre de points de grille pour le stockage
        INTEGER npgrid
        PARAMETER(npgrid=ngridmx+2*(iim-1))
c
c	A dummy 2D array needed for reading and writing.
	real*4 dummy(npgrid)
c
c	Record of the number of stores made for each time.
	integer nstore(istime)
c
	common /sttcom/ dummy, nstore,istats
c
