      SUBROUTINE dumpfi(z)
      IMPLICIT NONE
#include "dimensions.h"
#include "dimphys.h"

      REAL z(ngridmx,nlayermx)
      REAL zm(jjm+1,nlayermx)

      INTEGER i,j,imin,imax,jmin,jmax,ig,im,jm,l
      REAL zmin,zmax

      REAL SSUM
      EXTERNAL SSUM

      DO l=1,nlayermx
		 zm(1,l)=z(1,l)
		 zm(jjm+1,l)=z(ngridmx,l)
		 DO j=2,jjm
			zm(j,l)=SSUM(iim,z((j-2)*iim+2,l),1)/float(iim)
		 ENDDO
	  ENDDO

      zmin=zm(1,1)
      zmax=zm(1,1)
      imin=1
      imax=1
      jmin=1
      jmax=1

      im=jjm+1
      jm=nlayermx
      DO j=1,jm
         DO i=1,im
            IF(zm(i,j).GT.zmax) THEN
               imax=i
               jmax=j
               zmax=zm(i,j)
            ENDIF
            IF(zm(i,j).LT.zmin) THEN
               imin=i
               jmin=j
               zmin=zm(i,j)
            ENDIF
         ENDDO
      ENDDO

      PRINT*,'MIN: ',zmin
      PRINT*,'MAX: ',zmax

      IF(zmax.GT.zmin) THEN
      DO j=1,jm
      WRITE(*,'(72i1)') (NINT(10.*(zm(i,j)-zmin)/(zmax-zmin)),i=1,im)
      ENDDO
      WRITE(*,'(10f6.1)') (zm(i,1),i=1,im,4)
      ENDIF
      RETURN
      END
