c-----------------------------------------------------------------------
c   INCLUDE 'dimradmars.h'

c nflev: nombre de couches verticales
c ndlon: nombre de points de la grille horizontale
c nint : nombre d'intervalles spectraux dans l'IR
c ntra : nombre de types de poussieres
c nua  : nombre de quantites d'absorbants
c nsun : nombre de bandes spectrales pour le solaire
c
c npademx : nombre de coef de pade
c nabsmx : ?
c nt_pademx : nombre d'intervalles de temperature pour pade
c
c NDLO2 et ndomainsz pour le decoupage de l'appel a la physique


      INTEGER  NFLEV,NDLON,nir,NTRA,NUA,NSUN,NUACO2
      INTEGER npademx,nabsmx,nt_pademx
      integer ndomainsz
      integer NDLO2

c ATTENTION:  Il faut  1 < ndomainsz =< ngridmx
c             et valeur entiere pour testphys1d.e (ngridmx non defini en 1d)
c     parameter (ndomainsz=ngridmx)
c     parameter (ndomainsz=ngridmx/8)
      parameter (ndomainsz=8)

      PARAMETER (NFLEV=nlayermx,NDLON=ndomainsz)	! avec decoupage 
c     PARAMETER (NFLEV=nlayermx,NDLON=ngridmx)		! pas de decoupage

      PARAMETER (NDLO2=NDLON)

      PARAMETER (nir=4,NTRA=5,NUA=7,NUACO2=4,NSUN=2)
      PARAMETER (npademx=4,nabsmx=2,nt_pademx=19)

      REAL longrefir,longrefvis
      REAL long1vis,long2vis,long3vis
      REAL long1ir,long2ir
      REAL long1co2,long2co2
      PARAMETER (longrefir=9.E-6,longrefvis=0.67E-6)
      PARAMETER (long1ir=5.E-6 , long2ir=200.E-6)
      PARAMETER (long1vis=0.1E-6 , long2vis=0.5E-6 , long3vis=5.E-6)
      PARAMETER (long1co2=1.E+0 / 865.E+2 , long2co2=1.E+0 / 500.E+2)

c-----------------------------------------------------------------------
