C     -----------------------------------------------------------------
C
C*    Real time related variables (updated in UPDTIM)
C
C     NINDAT : run initial date in the form AAAAMMDD
C     NSSSSS : initial time in seconds (e.g. for 12h, 43200)
C     RTIMST : ABSOLUTE TIME OF THE MODEL AT START
C
C     NSTADD : NUMBER OF DAYS SINCE START OF THE MODEL
C     NSTASS : NUMBER OF SECONDS since start of model modulo(86400)
C     RSTATI : NUMBER OF SECONDS SINCE START OF THE MODEL
C     RTIMTR : ABSOLUTE TIME OF THE MODEL
C
C     RHGMT  : GMT TIME OF THE MODEL  (BETWEEN 0 AND 86400)
C     REQTIM : EQUATION OF TIME
C     RSOVR  : TRUE SOLAR TIME (GMT+EQUATION OF TIME)
C
C     RDEASO : DISTANCE EARTH-SUN
C     RDECLI : DECLINATION
C     RWSOVR : IN RADIANS, TRUE SOLAR TIME (GMT+EQUATION OF TIME)
C     RIP0   : I0 WEIGHTED BY THE DISTANCE EARTH-SUN
C
C     RCODEC : COSINE OF THE DECLINATION
C     RSIDEC :   SINE OF THE DECLINATION
C
C     RCOVSR : COSINE OF TRUE SOLAR TIME
C     RSIVSR :   SINE OF TRUE SOLAR TIME
C
      COMMON/YOMRIP/NINDAT,NSSSSS,RTIMST,
     S              NSTADD,NSTASS,RSTATI,RTIMTR,
     S              RHGMT ,REQTIM,RSOVR ,
     S              RDEASO,RDECLI,RWSOVR,RIP0,
     S              RCODEC,RSIDEC,RCOVSR,RSIVSR
C     -----------------------------------------------------------------
