      SUBROUTINE iniconst
      IMPLICIT NONE
c
c  P. Le Van
c
c-----------------------------------------------------------------------
c   Declarations:
c   -------------
c
#include "dimensions.h"
#include "paramet.h"
#include "comconst.h"
#include "temps.h"
#include "control.h"
#include "comvert.h"
#include "comdiss.h"

      EXTERNAL disvert
      INTEGER l
c
c-----------------------------------------------------------------------
c   dimension des boucles:
c   ----------------------

      im      = iim
      jm      = jjm
      lmax    = llm
      imp1    = iim 
      jmp1    = jjm + 1
      lmaxm1  = llm - 1
      lmaxp1  = llm + 1

c-----------------------------------------------------------------------

      dtdiss  = idissip*dtvr
      dtphys  = iphysiq*dtvr
      unsim   = 1./iim
      pi      = 2.*ASIN( 1. )

c-----------------------------------------------------------------------
c   capacite calorifique:
c   ---------------------
c
      r       = 8.314511*1000./mugaz
      cpp     = r/kappa
      PRINT*,'Cp  =  ',cpp
      PRINT*,'R   =  ',r
c
c-----------------------------------------------------------------------
c   discretisation verticale:
c   -------------------------
c
      CALL disvert(llm,kappa,sig,dsig,s,ds,dsig1,sdsig)
      do l = 1, llm
         sig_s(l) = s(l) ** (1./kappa)
      enddo

c
c-----------------------------------------------------------------------
c
c
      RETURN
      END
