      subroutine wstats(irec, array, ngrid, nlayer)
c
#include "dimensions.h"
#include "dimphys.h"
#include "statto.h"
c
c     Accumulate sums and sums of squares of nlayer levels of array
c     in a direct access file on unit usdata with irec set to
c     the first record to be written to the file.
c     SRL
c
      integer       irec, ngrid, nlayer
      real*4        array(ngrid, nlayer)
      integer       l, n
c
      do l = 1, nlayer
        read(usdata, rec = irec) dummy
        do n = 1, ngrid
c._.          dummy(n) = dummy(n) + array(n, l)
          dummy(iim-1+n) = dummy(iim-1+n) + array(n, l)
        enddo

c     Duplication des valeurs aux poles (iim au nord et iim-1+ngrid au sud)
c    au nord
        do n = 1,iim-1
           dummy(n) = dummy(iim)
        enddo
c    au sud
        do n = iim+ngrid, 2*(iim-1)+ngrid
           dummy(n) = dummy(iim-1+ngrid)
        enddo

        write(usdata, rec = irec) dummy
        irec = irec + 1
      enddo





      do l = 1, nlayer
        read(usdata, rec = irec) dummy
        do n = 1, ngrid
c._.          dummy(n) = dummy(n) + array(n, l)**2
          dummy(iim-1+n) = dummy(iim-1+n) + array(n, l)**2
        enddo

c     Duplication des valeurs aux poles (iim au nord et iim-1+ngrid au sud)
c    au nord
        do n = 1,iim-1
           dummy(n) = dummy(iim)
        enddo
c    au sud
        do n = iim+ngrid, 2*(iim-1)+ngrid
           dummy(n) = dummy(iim-1+ngrid)
        enddo

        write(usdata, rec = irec) dummy
        irec = irec + 1
      enddo

c
      RETURN
      END
