C*    Coefficients for the longwave radiation subroutines
c-----------------------------------------------------------------------
C
C NINT  :  NUMBER OF SPECTRAL INTERVALS
C NIPD  :  NUMBER OF BANDS DESCRIBED BY PADE APPROXIMANTS
C NTR   :  NUMBER OF REFERENCE TEMPERATURES
C NTRA  :  NUMBER OF TRANSMISSION FUNCTIONS
C NUA   :  NUMBER OF ABSORBER AMOUNTS
C NG1   :  ORDER OF THE GAUSSIAN QUADRATURE
c-----------------------------------------------------------------------

      COMMON/yomlw/n_abs,nnint,nipd,nipd2,ntr,nntra,nnua,ng1,ng1p1
     S ,rt1(2),wg1(2),at(2,2),bt(2,2),cntnu(4),o1h,o2h,pialf0
     S ,oct(4),tref,xp(6,nir),tstand
     S ,ga(npademx,nabsmx,2,nt_pademx)
     S ,gb(npademx,nabsmx,2,nt_pademx)
     S ,tmin_pade,dt_pade
     S ,nt_pade
     S ,cst_voigt(2,nabsmx)

      INTEGER n_abs,nnint,nipd,nipd2,ntr,nntra,nnua,ng1,ng1p1
      INTEGER nt_pade
      REAL rt1,wg1,at,bt,cntnu,o1h,o2h,pialf0
      REAL oct,tref,xp,tstand,ga,gb,tmin_pade,dt_pade
      REAL cst_voigt
